Index: build_tools/Vagrant/Ubuntu1404/README.md
===================================================================
--- build_tools/Vagrant/Ubuntu1404/README.md	(revision e84ccf57052f81b796f647b3de00d554469a8318)
+++ build_tools/Vagrant/Ubuntu1404/README.md	(revision e84ccf57052f81b796f647b3de00d554469a8318)
@@ -0,0 +1,42 @@
+How to setup VM SasViewQt Ubuntu1404 developer env using Vagrant
+
+A: Provision VM
+
+B: Log on to VM - Setup Anaconda
+01) Install miniconda: $ bash ./Miniconda2-latest-Linux-x86_64.sh
+02) Export miniconda path: $ export PATH=/home/vagrant/miniconda2/bin:$PATH 
+03) Make sasviewqt env in minicona: conda env create -f environment.yml
+
+C: Build SasView
+04) clone sasview: git clone https://github.com/SasView/sasview
+05) clone sasmodels: git clone https://github.com/SasView/sasmodels
+06) show sasview branch: git remote show origin
+07) checkout ESS_GUI: git checkout ESS_GUI
+08) build sasmodels: python setup.py build
+09) build sasmodels doc: make html
+10) build sasview: python setup.py build
+11) build sasview: python setup.py docs
+12) run sasview: python run.py
+12) cd SasView/sasview/src/sas/qtgui
+13) make gui: ./make_ui.sh
+14) python run.py / python Main_Window.py depending on on your cloned githash
+
+Tips:
+export PATH=/home/vagrant/miniconda2/bin:$PATH
+
+conda env export > environment.yml
+conda env create -f environment.yml
+
+
+# To activate this environment, use:
+# > source activate sasviewqt
+#
+# To deactivate this environment, use:
+# > source deactivate sasviewqt
+
+
+
+Known problems:
+libxml2 not installed.
+
+
Index: build_tools/Vagrant/Ubuntu1404/Vagrantfile
===================================================================
--- build_tools/Vagrant/Ubuntu1404/Vagrantfile	(revision e84ccf57052f81b796f647b3de00d554469a8318)
+++ build_tools/Vagrant/Ubuntu1404/Vagrantfile	(revision e84ccf57052f81b796f647b3de00d554469a8318)
@@ -0,0 +1,48 @@
+# -*- mode: ruby -*-
+# vi: set ft=ruby :
+
+HOST_NAME = "Ub1404-SasViewQt-Ver2"
+
+# All Vagrant configuration is done below. The "2" in Vagrant.configure
+# configures the configuration version (we support older styles for
+# backwards compatibility). Please don't change it unless you know what
+# you're doing.
+Vagrant.configure(2) do |config|
+  # Ubuntu 14.04
+  config.vm.box = "ubuntu/trusty64"
+  config.vm.define HOST_NAME do |h|
+  end
+
+  # This is the hostname that the virtual machine uses internally.
+  config.vm.hostname = HOST_NAME
+
+
+  config.vm.provider "virtualbox" do |vb|
+    # Display the VirtualBox GUI when booting the machine
+    vb.name = HOST_NAME
+    vb.gui = true
+    vb.customize ["modifyvm", :id, "--memory", "8192"]
+    vb.customize ["modifyvm", :id, "--cpus", "4"]
+    vb.customize ["modifyvm", :id, "--graphicscontroller", "vboxvga"]
+    vb.customize ["modifyvm", :id, "--accelerate3d", "on"]
+    vb.customize ["modifyvm", :id, "--ioapic", "on"]
+    vb.customize ["modifyvm", :id, "--vram", "32"]
+    vb.customize ["modifyvm", :id, "--hwvirtex", "on"]
+  end
+
+
+  # Install ubuntu-desktop and virtualbox additions and all of the rest
+  # Take one provision file at the time.
+  # Do the loop:
+  # terminal: vagrant up --provision 
+  # Check install packages
+  # terminal: vagrant halt
+  # Comment in/out the appropriate lines
+
+  # 1.
+  #config.vm.provision "shell", path: "provision/bootstrap.sh"
+  # 2.
+  #config.vm.provision "shell", path: "provision/developer.sh"
+  # 3.
+  config.vm.provision "shell", path: "provision/miniconda.sh"
+end
Index: build_tools/Vagrant/Ubuntu1404/provision/bootstrap.sh
===================================================================
--- build_tools/Vagrant/Ubuntu1404/provision/bootstrap.sh	(revision e84ccf57052f81b796f647b3de00d554469a8318)
+++ build_tools/Vagrant/Ubuntu1404/provision/bootstrap.sh	(revision e84ccf57052f81b796f647b3de00d554469a8318)
@@ -0,0 +1,6 @@
+#! /bin/bash
+
+# Install ubuntu-desktop and virtualbox additions
+sudo apt-get update
+sudo apt-get install -y ubuntu-desktop virtualbox-guest-dkms virtualbox-guest-utils virtualbox-guest-x11
+
Index: build_tools/Vagrant/Ubuntu1404/provision/developer.sh
===================================================================
--- build_tools/Vagrant/Ubuntu1404/provision/developer.sh	(revision e84ccf57052f81b796f647b3de00d554469a8318)
+++ build_tools/Vagrant/Ubuntu1404/provision/developer.sh	(revision e84ccf57052f81b796f647b3de00d554469a8318)
@@ -0,0 +1,22 @@
+#! /bin/bash
+
+# Install basic developer tools 
+
+sudo apt-get update
+sudo apt-get install -y git
+sudo apt-get install -y vim build-essential
+
+
+sudo apt-get install dpkg-dev fakeroot lintian
+
+# Now with mpistuff 
+sudo apt-get install -y openmpi-bin openmpi-doc libopenmpi-dev
+
+#Install viewer to nexus files 
+sudo apt-get install -y hdfview
+
+# Install PyCharm community edition
+sudo add-apt-repository ppa:mystic-mirage/pycharm
+sudo apt-get update
+sudo apt-get install -y --force-yes pycharm-community 
+
Index: build_tools/Vagrant/Ubuntu1404/provision/environment.yml
===================================================================
--- build_tools/Vagrant/Ubuntu1404/provision/environment.yml	(revision e84ccf57052f81b796f647b3de00d554469a8318)
+++ build_tools/Vagrant/Ubuntu1404/provision/environment.yml	(revision e84ccf57052f81b796f647b3de00d554469a8318)
@@ -0,0 +1,35 @@
+name: sasviewqt
+channels: !!python/tuple
+- !!python/unicode 'defaults'
+dependencies:
+- python=2.7.12
+- anaconda::pyqt=4.11.4
+- anaconda::qt=4.8.7
+- anaconda::wxpython=3.0.0.0
+- html5lib=0.999
+- ipython=5.1.0
+- ipython-qtconsole=4.0.1
+- lxml=3.6.4
+- matplotlib=1.4.3
+- numpy=1.10.4
+- pillow=3.4.2
+- pip=9.0.1
+- pylint=1.5.4
+- pyparsing=2.0.3
+- python-dateutil=2.6.0
+- qtconsole=4.2.1
+- reportlab=3.3.0
+- scipy=0.17.1
+- sphinx=1.4.8
+- h5py=2.6.0
+- pip:
+  - bumps==0.7.6
+  - periodictable==1.4.1
+  - pisa==3.0.33
+  - pypdf2==1.26.0
+  - qt4reactor==1.6
+  - twisted==16.5.0
+  - unittest-xml-reporting==2.1.0
+  - xhtml2pdf==0.0.6
+prefix: /home/vagrant/miniconda2/envs/sasviewqt
+
Index: build_tools/Vagrant/Ubuntu1404/provision/miniconda.sh
===================================================================
--- build_tools/Vagrant/Ubuntu1404/provision/miniconda.sh	(revision e84ccf57052f81b796f647b3de00d554469a8318)
+++ build_tools/Vagrant/Ubuntu1404/provision/miniconda.sh	(revision e84ccf57052f81b796f647b3de00d554469a8318)
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+# Install miniconda
+# download - wget
+wget https://repo.continuum.io/miniconda/Miniconda2-latest-Linux-x86_64.sh
+
+# To set up through vagrant provision - seems however to cause read/write sudo issues later when pip or conda install
+#wget https://repo.continuum.io/archive/Anaconda2-4.2.0-Linux-x86_64.sh
+#chmod +x Anaconda2-4.2.0-Linux-x86_64.sh
+#mv Anaconda2-4.2.0-Linux-x86_64.sh anaconda.sh
+#./anaconda.sh -b -p /home/vagrant/anaconda
+
